<div id="comments">
<a name="respond"></a>

<?php if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
<p>Enter your password to view comments.</p>
<?php return; endif; ?>

<h3><?php comments_number(__('No Comments'), __('1 Comment'), __('% Comments')); ?>
<?php if ( comments_open() ) : ?>
	<a href="#postcomment" title="Leave a comment">&raquo;</a>
<?php endif; ?>
</h3>

<?php if ( $comments ) : ?>
<ol id="commentlist">

<?php foreach ($comments as $comment) : ?>
	<li>
	<!-- paste Gravatar code below this line -->
	<?php echo get_avatar( $comment, 48); ?>
    <?php comment_type(__('Comment'), __('Trackback'), __('Pingback')); ?> by: <br />
    <b><?php comment_author_link(); ?></b> <?php edit_comment_link(__("Edit This"), ' |'); ?>
    <br clear="all"/>
	<?php comment_text() ?>
	</li>

<?php endforeach; ?>

</ol>

<?php else : // If there are no comments yet ?>
	<p>No comments yet.</p>
<?php endif; ?>

<p><?php comments_rss_link(__('<abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post.')); ?>
<?php if ( pings_open() ) : ?>
	<a href="<?php trackback_url() ?>" rel="trackback">TrackBack URI</a>
<?php endif; ?>
</p>

<?php if ( comments_open() ) : ?>
<a name="postcomment"></a>
<h3>Leave a comment</h3>

<p>If you want to leave a feedback to this post or to some other user&acute;s comment, simply fill
out the form below.</p>

<form action="<?php echo get_settings('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	<p>
	  <input type="text" name="author" id="name" value="<?php echo $comment_author; ?>" size="28" tabindex="1" />
	   <label for="author">Name</label> <?php if ($req) _e('(required)'); ?>
	<input type="hidden" name="comment_post_ID" value="<?php echo $post->ID; ?>" />
	<input type="hidden" name="redirect_to" value="<?php echo wp_specialchars($_SERVER['REQUEST_URI']); ?>" />
	</p>

	<p>
	  <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="28" tabindex="2" />
	   <label for="email">E-mail</label> <?php if ($req) _e('(required)'); ?>
	</p>

	<p>
	  <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="28" tabindex="3" />
	   <label for="url"><acronym title="Your Website Address">Website</acronym></label>
	</p>

	<p>
	  <label for="comment">Your Comment</label>
	<br />
	  <textarea name="comment" id="comment" cols="60" rows="4" tabindex="4"></textarea>
	</p>

	<p>
	  <input name="submit" id="submit" type="submit" tabindex="5" value="Submit Comment" />
	</p>
	<?php do_action('comment_form', $post->ID); ?>
</form>

<?php else : // Comments are closed ?>
<p>Sorry - comments for this post are closed.</p>
<?php endif; ?>

</div>