<?php

if ( function_exists('register_sidebars') )
	register_sidebars(2);

if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;

function widget_ewt_search() {
?>
 <li id="search"><h4>Search Form</h4>
 	<ul><li>
	<form id="searchform" method="get" action="<?php bloginfo('url'); ?>">
	<div>
	<input type="text" name="s" id="s" size="15" />
	<input type="submit" value="Search" />
	</div>
    </form>
    </li></ul>
  </li>
<?php
}


function widget_ewt_subscribe() {
?>
 <li id="feedsubscribe"><h4><?php _e('Subscribe'); ?></h4>
 	 <ul style="text-align: center">
 	 <li><a class="sbrss" href="<?php bloginfo('rss2_url'); ?>" title="Syndicate this site using RSS" rel="nofollow">Posts</a></li>
	 <li><a class="sbrss" href="<?php bloginfo('comments_rss2_url'); ?>" title="The latest comments to all posts in RSS">Comments</a></li>
	 <li id="sbgoogle"><a class="feedreaderlink" href="http://www.google.com/reader/preview/*/feed/<?php bloginfo('rss2_url'); ?>" rel="nofollow">&nbsp;</a></li>
	 <li id="sbyahoo"><a class="feedreaderlink" href="http://add.my.yahoo.com/rss?url=<?php bloginfo('rss2_url'); ?>" rel="nofollow">&nbsp;</a></li>
	 <li id="sbmsn"><a class="feedreaderlink" href="http://my.msn.com/addtomymsn.armx?id=rss&amp;ut=<?php bloginfo('rss2_url'); ?>&amp;ru=<?php bloginfo('rss2_url'); ?>" rel="nofollow">&nbsp;</a></li>
	 <li id="sbtechnorati"><a class="feedreaderlink" href="http://technorati.com/faves?add=<?php bloginfo('home'); ?>" rel="nofollow">&nbsp;</a></li>
	 <li id="sbbloglines"><a class="feedreaderlink" href="http://www.bloglines.com/sub/<?php bloginfo('rss2_url'); ?>" rel="nofollow">&nbsp;</a></li>
	 <!-- <li><a href="URL">more ...</a></li> -->
	 <li>&nbsp;</li>
	</ul>
 </li>
<?php
}


function widget_ewt_5recent() {
?>
  <li class="latest"><h4>Latest Posts</h4>
	<ul><?php get_archives('postbypost','5'); ?></ul>
  </li>
<?php
}


function widget_ewt_15recent() {
?>
  <li class="latest"><h4>Latest Posts</h4>
	<ul><?php get_archives('postbypost','15'); ?></ul>
  </li>
<?php
}


function widget_ewt_tagcloud() {
?>
  <li><h4>Popular Tags</h4>
	<ul><li>
		<?php wp_tag_cloud('smallest=6&largest=16'); ?>
	</li></ul>
  </li>
<?php
}


function widget_ewt_archivedrop() {
?>
  <li><h4>Archives</h4>
    <ul><li><div align="center">
 	<select name="archive-dropdown" onChange='document.location.href=this.options[this.selectedIndex].value;'>
	<option value=""><?php echo attribute_escape(__('Select Month')); ?></option>
  	<?php wp_get_archives('type=monthly&format=option'); ?> </select>
  	</div></li></ul>
  </li>
<?php
}


function widget_ewt_categoriesdrop() {
?>
  <li><h4>Categories</h4>
    <ul><li><div align="center">
    <?php wp_dropdown_categories(); ?>
  	</div></li></ul>
  </li>
<?php
}


function widget_ewt_calendar() {
?>
  <li><h4>Calendar</h4>
    <ul><li><div align="center">
			<?php get_calendar(); ?>
  	</div></li></ul>
  </li>
<?php
}


function widget_ewt_authors() {
?>
 <li id="authors"><h4><?php _e('Authors'); ?></h4>
	<ul>
	<?php wp_list_authors('optioncount=1&exclude_admin=0'); ?>
	</ul>
 </li>
<?php
}



register_sidebar_widget(__('EWT Search'), 'widget_ewt_search');
register_sidebar_widget(__('EWT Subscribe'), 'widget_ewt_subscribe');
register_sidebar_widget(__('EWT 5 Recent Posts'), 'widget_ewt_5recent');
register_sidebar_widget(__('EWT 15 Recent Posts'), 'widget_ewt_15recent');
register_sidebar_widget(__('EWT Tag Cloud'), 'widget_ewt_tagcloud');
register_sidebar_widget(__('EWT Archive Dropdown'), 'widget_ewt_archivedrop');
register_sidebar_widget(__('EWT Categories Dropdown'), 'widget_ewt_catagoriesdrop');
register_sidebar_widget(__('EWT Calendar'), 'widget_ewt_calendar');
register_sidebar_widget(__('EWT Authors'), 'widget_ewt_authors');

?>